package com.ss.android.ugc.aweme.legoImp.task;

import X.AnonymousClass9HI;
import X.AnonymousClass9HK;
import X.C22428Zd;
import X.C22438Ze;
import X.C25518ec;
import X.C35988vV;
import X.C42869Ft;
import X.C42909Fx;
import android.content.Context;
import android.text.TextUtils;
import com.bytedance.covode.number.Covode;
import com.ss.android.deviceregister.DeviceRegisterManager;
import java.util.List;

public final class FetchUltimateComplianceSettingsTask implements C22438Ze {
    public static Context LIZ;
    public static final AnonymousClass9HK LIZIZ = new AnonymousClass9HK((byte) 0);
    public static final C35988vV LIZJ = new AnonymousClass9HI();

    public final boolean meetTrigger() {
        return true;
    }

    public final String prefix() {
        return "task_";
    }

    public final boolean serialExecute() {
        return false;
    }

    public final int targetProcess() {
        return 1;
    }

    public final List triggerOtherLegoComponents() {
        return null;
    }

    public final C42869Ft triggerType() {
        return C22428Zd.LIZ(this);
    }

    public final C42909Fx scenesType() {
        return C42909Fx.DEFAULT;
    }

    public final C25518ec type() {
        return C25518ec.BACKGROUND;
    }

    public final String key() {
        return getClass().getSimpleName();
    }

    static {
        Covode.recordClassIndex(90434);
    }

    public final void run(Context context) {
        LIZ = context;
        if (TextUtils.isEmpty(DeviceRegisterManager.getDeviceId())) {
            DeviceRegisterManager.addOnDeviceConfigUpdateListener(LIZJ);
        } else {
            LIZIZ.LIZ();
        }
    }
}
